Package org.eclipse.launchbar.core.target

# Class TargetStatus

java.lang.Object
org.eclipse.launchbar.core.target.TargetStatus

public class TargetStatus extends Object
The status for a launch target.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`TargetStatus.Code`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TargetStatus`
`OK_STATUS`

## Constructor Summary

Constructors
Constructor
Description
`TargetStatus(TargetStatus.Code code, String message)`

## Method Summary

Modifier and Type
Method
Description
`TargetStatus.Code`
`getCode()`
`String`
`getMessage()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### OK_STATUS

public static final TargetStatus OK_STATUS

## Constructor Details

### TargetStatus

public TargetStatus(TargetStatus.Code code, String message)

## Method Details

### getCode

public TargetStatus.Code getCode()

### getMessage

public String getMessage()